Subject: bug#39181: 27.0.50; [PATCH] Allow users to store & restore gdb-mi layout

From: Štěpán Němec <[email-masked]>
Date: Sat, 21 Mar 2020 19:39:09 +0100

On Sat, 21 Mar 2020 14:00:56 -0400
Yuan Fu wrote:

>>> +@code{gdb-default-window-configuration-file}.  If it is not an
>>> +absolute path, GDB looks under
>>> +@code{gdb-window-configuration-directory} (default to
>>> +@file{~/.emacs.d}) for the file.
>> 
>> "(which defaults to user-emacs-directory)" (ideally with a proper
>> reference to that variable).
>
> The whole Emacs user manual only referenced user-emacs-directory once when talking about ~/.emacs.d. OTOH ~/.emacs.d is used across the manual. I think ~/.emacs.d is better.

Saying "defaults to ~/.emacs.d" is strictly speaking incorrect, because
it really defaults to user-emacs-directory, which might or might not be
"~/.emacs.d". It is true that the same could probably be argued about
some other occurences in the manuals (most of which probably go back
even before the introduction of user-emacs-directory in Emacs 23, let
alone the recent XDG-compliance efforts), though, so if you insist, at
least it will be incorrect somewhat _consistently_ (and can be fixed
later together with the other places) :-D.

>>> +premium.  If you choose to start GDB in the same frame, consider
>>> +setting @code{gdb-restore-window-configuration-after-quit} to
>>> +non-@code{nil}.  Then GDB restores your original window layout after
>> 
>> "to a non-nil value.  Your original window layout will then be restored
>> after GDB quits."
>
> I prefer active voice than passive voice but don’t object the latter. So I changed it accordingly.

The real issue here was more the semantics than the grammar, similarly
to the NEWS correction: it's really Emacs, not GDB, that restores the
windows after GDB quits.

Thanks!

-- 
Štěpán